templates/quickstart-platespin-master-template.yaml [127:193]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  KeyPairName:
    Description: >-
      The name of an existing EC2 key pair, which allows you to securely connect to your instance after it launches.
    Type: 'AWS::EC2::KeyPair::KeyName'
    AllowedPattern: .+
    ConstraintDescription: Must be the name of an existing EC2 key pair.
  LicenseAgreement:
    Description: >-
      I have read and agree to the license terms for Micro Focus PlateSpin Migrate
      (https://www.microfocus.com/licensing/eula/netiq/platespin/platespin_migrate_2019_english.pdf).
    Type: String
    Default: '-'
    AllowedValues:
      - I agree
      - '-'
    ConstraintDescription: must answer 'I agree'
  ManagementAccessCIDR:
    AllowedPattern: >-
      ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x
    Description: >-
      The CIDR IP range that is permitted RDP (3389/TCP) and HTTPS (443/TCP) access to the PlateSpin Migrate server, and RDP (3389/TCP) or SSH (22/TCP) access to the migrated workloads in the production or test environment, for administrative purposes.
    Type: String
  MigrateAdminConfirmPassword:
    Description: >-
      The password confirmation for the PlateSpin Migrate server admin account.
    Type: String
    MinLength: '8'
    MaxLength: '32'
    AllowedPattern: >-
      (?=^.{6,255}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    NoEcho: 'true'
  MigrateAdminPassword:
    Description: >-
      The password for the PlateSpin Migrate server admin account. It can contain 8 to 32 alphanumeric characters and symbols.
    Type: String
    MinLength: '8'
    MaxLength: '32'
    AllowedPattern: >-
      (?=^.{6,255}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    NoEcho: 'true'
  MigrateAdminUsername:
    Description: The username for the PlateSpin Migrate server admin account. This name can contain 5 to 25 alphanumeric characters.
    Type: String
    Default: psadmin
    MinLength: '5'
    MaxLength: '25'
    AllowedPattern: '[a-zA-Z0-9]*'
  MigrateServerHostname:
    Description: >-
      The hostname (up to 15 characters) for your PlateSpin Migrate server. This name can contain alphanumeric characters and hyphens. It should start with a letter and should not end with a hyphen.
    Type: String
    Default: psmigrate
    MaxLength: '15'
    AllowedPattern: '^[a-zA-Z]|([a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9]$)'
    ConstraintDescription: >-
      Must begin with a letter, contain alphanumeric characters and hyphens, and can not end with a hyphen. Maximum length upto 15 characters.
  MigrateServerInstanceType:
    Description: The Amazon EC2 instance type for your PlateSpin Migrate server.
    Type: String
    Default: t3.large
    AllowedValues:
      - t3.large
      - t3.xlarge
      - m5.large
      - m5.xlarge
    ConstraintDescription: Must be a valid EC2 instance type.
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/quickstart-platespin-template.yaml [113:179]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  KeyPairName:
    Description: >-
      The name of an existing EC2 key pair, which allows you to securely connect to your instance after it launches.
    Type: 'AWS::EC2::KeyPair::KeyName'
    AllowedPattern: .+
    ConstraintDescription: Must be the name of an existing EC2 key pair.
  LicenseAgreement:
    Description: >-
      I have read and agree to the license terms for Micro Focus PlateSpin Migrate
      (https://www.microfocus.com/licensing/eula/netiq/platespin/platespin_migrate_2019_english.pdf).
    Type: String
    Default: '-'
    AllowedValues:
      - I agree
      - '-'
    ConstraintDescription: must answer 'I agree'
  ManagementAccessCIDR:
    AllowedPattern: >-
      ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x
    Description: >-
      The CIDR IP range that is permitted RDP (3389/TCP) and HTTPS (443/TCP) access to the PlateSpin Migrate server, and RDP (3389/TCP) or SSH (22/TCP) access to the migrated workloads in the production or test environment, for administrative purposes.
    Type: String
  MigrateAdminConfirmPassword:
    Description: >-
      The password confirmation for the PlateSpin Migrate server admin account. 
    Type: String
    MinLength: '8'
    MaxLength: '32'
    AllowedPattern: >-
      (?=^.{6,255}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    NoEcho: 'true'
  MigrateAdminPassword:
    Description: >-
      The password for the PlateSpin Migrate server admin account. It can contain 8 to 32 alphanumeric characters and symbols.
    Type: String
    MinLength: '8'
    MaxLength: '32'
    AllowedPattern: >-
      (?=^.{6,255}$)((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))^.*
    NoEcho: 'true'
  MigrateAdminUsername:
    Description: The username for the PlateSpin Migrate server admin account. This name can contain 5 to 25 alphanumeric characters.
    Type: String
    Default: psadmin
    MinLength: '5'
    MaxLength: '25'
    AllowedPattern: '[a-zA-Z0-9]*'
  MigrateServerHostname:
    Description: >-
      The hostname (up to 15 characters) for your PlateSpin Migrate server. This name can contain alphanumeric characters and hyphens. It should start with a letter and should not end with a hyphen.
    Type: String
    Default: psmigrate
    MaxLength: '15'
    AllowedPattern: '^[a-zA-Z]|([a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9]$)'
    ConstraintDescription: >-
      Must begin with a letter, contain alphanumeric characters and hyphens, and can not end with a hyphen. Maximum length upto 15 characters.
  MigrateServerInstanceType:
    Description: The Amazon EC2 instance type for your PlateSpin Migrate server.
    Type: String
    Default: t3.large
    AllowedValues:
      - t3.large
      - t3.xlarge
      - m5.large
      - m5.xlarge
    ConstraintDescription: Must be a valid EC2 instance type.
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



